%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function sym_tensor(Q,p,m).
% Input: Q: d th-order tensor with dimension R^{n^d}, 
%        p: the set of all the permutations of (1,2,...,d)
%        m: cardinality of p
% Output: super-symmetric d th-order tensor.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function value = sym_tensor(Q,p,m)

% [p,m]=psort(d);
symQ = zeros(size(Q));
for k = 1:m
    symQ = symQ + permute(Q, p(k,:));
end

value = symQ /m;

